Loading...
Searching...
No Matches
gridfire::exceptions::IllConditionedJacobianError Class Referencefinal

Exception thrown when the Jacobian matrix is ill-conditioned. More...

`#include <error_solver.h>`

Inheritance diagram for gridfire::exceptions::IllConditionedJacobianError:
[legend]
Collaboration diagram for gridfire::exceptions::IllConditionedJacobianError:
[legend]

## Additional Inherited Members

Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Exception thrown when the Jacobian matrix is ill-conditioned.

This exception is thrown when the solver detects that the Jacobian matrix is ill-conditioned, which may lead to inaccurate or unstable solutions.

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_solver.h